# Function encodeUriSegment

- encodeUriSegment(val: any): string

  We need our custom method because encodeURIComponent is too aggressive and doesn't follow http://www.ietf.org/rfc/rfc3986.txt with regards to the character set (pchar) allowed in path segments: segment = pchar pchar = unreserved / pct-encoded / sub-delims / ":" / "@" pct-encoded = "%" HEXDIG HEXDIG unreserved = ALPHA / DIGIT / "-" / "." / "_" / "~" sub-delims = "!" / "$" / "&" / "'" / "(" / ")" / "" / "+" / "," / ";" / "="

  #### Parameters

  - val: any

  #### Returns string

  - Defined in src/shared/utils.js:870